server {
    listen       443 ssl default;

    ssl on;
    ssl_certificate            ssl/jixiang.cn.pem;
    ssl_certificate_key        ssl/jixiang.cn.key;
    ssl_session_cache          shared:SSL:1m;
    ssl_session_timeout        5m;
    ssl_protocols              TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers                AESGCM:ALL:!DH:!EXPORT:!RC4:+HIGH:!MEDIUM:!LOW:!aNULL:!eNULL;
    ssl_prefer_server_ciphers  on;

    # 禁止IP访问及未绑定的域名跳转
    return       403;
}

server {
    listen       80 default;
    # 禁止IP访问及未绑定的域名跳转
    return       403;
}